Permalink
Browse files

Added missing dependency "rack-test" to gemspec (LH #339)

  • Loading branch information...
1 parent eb3a4ff commit 8d2fa24b4acaaedbeede6d48568fe4b4b90acf62 @noahd1 noahd1 committed Jan 18, 2010
Showing with 7 additions and 2 deletions.
  1. +2 −1 History.txt
  2. +1 −0 Thorfile
  3. +4 −1 webrat.gemspec
View
@@ -7,7 +7,8 @@
* Save and open page directory specified via configuration, defaults to tmp dir otherwise current dir (Noah Davis)
* Bug fixes
-
+
+ * Added missing dependency "rack-test" to gemspec (LH #339) (Noah Davis)
* Removed save_and_open_page's rewriting of static asset paths before saving (was not actually working) (Noah Davis)
* Make "should contain" ignore extra whitespace when doing string comparisons (Noah Davis)
* Make selenium matchers handle negative match more consistently with positive match (Luke Melia)
View
@@ -32,6 +32,7 @@ Most Ruby web frameworks and testing frameworks are supported.
s.add_dependency "nokogiri", ">= 1.2.0"
s.add_dependency "rack", ">= 1.0"
+ s.add_dependency "rack-test", ">= 0.5.3"
end
end
View
@@ -6,7 +6,7 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
s.authors = ["Bryan Helmkamp"]
- s.date = %q{2009-11-28}
+ s.date = %q{2010-01-17}
s.description = %q{Webrat lets you quickly write expressive and robust acceptance tests
for a Ruby web application. It supports simulating a browser inside
a Ruby process to avoid the performance hit and browser dependency of
@@ -337,12 +337,15 @@ Most Ruby web frameworks and testing frameworks are supported.}
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<nokogiri>, [">= 1.2.0"])
s.add_runtime_dependency(%q<rack>, [">= 1.0"])
+ s.add_runtime_dependency(%q<rack-test>, [">= 0.5.3"])
else
s.add_dependency(%q<nokogiri>, [">= 1.2.0"])
s.add_dependency(%q<rack>, [">= 1.0"])
+ s.add_dependency(%q<rack-test>, [">= 0.5.3"])
end
else
s.add_dependency(%q<nokogiri>, [">= 1.2.0"])
s.add_dependency(%q<rack>, [">= 1.0"])
+ s.add_dependency(%q<rack-test>, [">= 0.5.3"])
end
end

0 comments on commit 8d2fa24

Please sign in to comment.